## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenBase

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenClass, GenClassifier, GenDataType, GenEnum, GenEnumLiteral, GenFeature, GenModel, GenOperation, GenPackage, GenParameter, GenTypedElement

    public interface GenBase

extends org.eclipse.emf.codegen.ecore.genmodel.GenBase

A representation of the model object 'Gen Base'.

See Also:
  `GenModelPackage.getGenBase()`

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.